NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_httpget(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_httpget - Open an HTTP connection and fetch a page

## Table Of Contents

## Synopsis

- ns_httpget url ?timeout? ?depth?

## Description

This command is deprecated; use ns_http instead.

ns_httpget opens an HTTP connection and fetches the page at the specified url. You can specify a timeout for opening the connection (the default is 30 seconds), and a maximum level of redirection (the default is 0). ns_httpget sends the HTTP/1.1 "Host:" header for proper support of virtual hosting.

## COMMANDS

ns_httpget url ?timeout? ?depth?

## EXAMPLES

    set page [ns_httpget http://www.aolserver.com]

## See Also

ns_http, ns_httpopen, ns_httppost, ns_httptime

## Keywords

http-client